<template>
  <div v-if="stateForAll && stateForAll.running" class="sw-gs-end-presentation">
    <SwButton class="sw-gs-end-presentation-btn color-danger is-small"
              :title="$t('End appointment')"
              @click="toggleModal(true)">
        {{ $t('End appointment') }}
    </SwButton>
  </div>
</template>

<script lang="ts">
  import SwButton from "@/components/atoms/SwButton.vue";
  import {useState} from "../logic/composables/useState";
  import {useUIState} from "@shopware-pwa/composables";

  export default {
    name: "SwGsEndAppointment",
    components: {
      SwButton
    },
    setup() {
      const {stateForAll} = useState();
      const {switchState: toggleModal} = useUIState({stateName: `GS_END_APPOINTMENT_MODAL_STATE`});

      return {
        stateForAll,
        toggleModal
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";

  .sw-gs-end-presentation {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .sw-gs-end-presentation-btn {
    border-radius: 5px;
  }
</style>
